% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/printers.R
\name{htmltools_value}
\alias{htmltools_value}
\alias{knit_print.flextable}
\title{Render flextable in rmarkdown (including Word output)}
\usage{
htmltools_value(x)

\method{knit_print}{flextable}(x, ...)
}
\arguments{
\item{x}{a \code{flextable} object}

\item{...}{further arguments, not used.}
}
\description{
Function used to render flextable in knitr/rmarkdown documents.
HTML and Word outputs are supported.

Function \code{htmltools_value} return an HTML version of the flextable,
this function is to be used within Shiny applications with \code{renderUI()}.
}
\note{
For Word (docx) output, if pandoc version >= 2.0 is used, a raw XML block
with the table code will be inserted. If pandoc version < 2.0 is used, an
error will be raised. Note also that insertion of images is not supported
with rmarkdow for Word documents.
}
\author{
Maxim Nazarov
}
